Subject: bug#65713: compilation-next-error says: Moved past last error, even when none

From: Stefan Kangas <[email-masked]>
Date: Sun, 3 Sep 2023 02:00:50 -0700

Eli Zaretskii <[email-masked]> writes:

>> OK, there was no error, so instead of "Moved past last error" it should
>> say "Didn't find any errors" when asked.
>
> FWIW, I don't see any need for such a feature.  "Moved past the last
> error" is correct even if there are no errors, and complicating the
> code for such hair-splitting is not justified, IMO.

The problem I see is that we're displaying a general message, when a
more specific one could have been displayed instead.  I'm not against
fixing this minor blemish, if it can be done in a clean way.

This bug report would be more compelling if it came with a patch, of
course.

> So my vote is to close this as "wontfix".

That's also an option, yes.